Index: /trunk/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 51)
+++ /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 53)
@@ -48,26 +48,11 @@
 		include("class.imap_attachment.inc.php");
 		$imap_attachment = new imap_attachment();
-		$folder =$params['folder'];
+		$folder = $params['folder'];
 		$msg_range_begin = $params['msg_range_begin'];
 		$msg_range_end = $params['msg_range_end'];
-		$sort_box_type = $params['sort_box_type'];
+		$sort_box_type = $params['sort_box_type'];		
+		$sort_box_reverse = $params['sort_box_reverse'];
 		$search_box_type = $params['search_box_type'] != "ALL" && $params['search_box_type'] != "" ? $params['search_box_type'] : false;
-		$sort_box_reverse = $params['sort_box_reverse'];				
-		$this->mbox = $this->open_mbox($folder);
-		
-		switch($sort_box_type){
-			case 'SORTFROM':
-				$sort_array_msg = $this->imap_sortfrom($sort_box_reverse, $folder);
-				break;
-			case 'SORTSUBJECT':
-				$sort_array_msg = imap_sort($this->mbox, SORTSUBJECT, $sort_box_reverse, SE_UID, $search_box_type);
-				break;
-			case 'SORTSIZE':
-				$sort_array_msg = imap_sort($this->mbox, SORTSIZE, $sort_box_reverse, SE_UID, $search_box_type);
-				break;
-			default:
-				$sort_array_msg = imap_sort($this->mbox, SORTARRIVAL, $sort_box_reverse, SE_UID, $search_box_type);
-				break;							
-		}
+		$sort_array_msg = $this-> get_msgs($folder, $sort_box_type, $search_box_type, $sort_box_reverse);				
 		
 		$return = array();
@@ -773,31 +758,14 @@
 	{
 		include("class.imap_attachment.inc.php");
-		$imap_attachment = new imap_attachment();
-		
+		$imap_attachment = new imap_attachment();		
 		$folder = $params['folder'];
 		$msg_range_begin = $params['msg_range_begin'];
 		$msg_range_end = $params['msg_range_end'];
 		$msgs_existent = $params['msgs_existent'];
-		$sort_box_type = $params['sort_box_type'];
-		$search_box_type = $params['search_box_type'] != "ALL" && $params['search_box_type'] != "" ? $params['search_box_type'] : false;
+		$sort_box_type = $params['sort_box_type'];		
 		$sort_box_reverse = $params['sort_box_reverse'];
 		$msgs_in_the_server = array();
-		$sort_array_msg = array();
-		$this->mbox = $this->open_mbox($folder);
-		
-		switch($sort_box_type){
-			case 'SORTFROM':
-				$sort_array_msg = $this->imap_sortfrom($sort_box_reverse, $folder);
-				break;
-			case 'SORTSUBJECT':
-				$sort_array_msg = imap_sort($this->mbox, SORTSUBJECT, $sort_box_reverse, SE_UID, $search_box_type);
-				break;
-			case 'SORTSIZE':
-				$sort_array_msg = imap_sort($this->mbox, SORTSIZE, $sort_box_reverse, SE_UID, $search_box_type);
-				break;
-			default:
-				$sort_array_msg = imap_sort($this->mbox, SORTARRIVAL, $sort_box_reverse, SE_UID, $search_box_type);
-				break;							
-		}
+		$search_box_type = $params['search_box_type'] != "ALL" && $params['search_box_type'] != "" ? $params['search_box_type'] : false;
+		$sort_array_msg = $this -> get_msgs($folder, $sort_box_type, $search_box_type, $sort_box_reverse);
 
 		if(!count($sort_array_msg))
@@ -1265,5 +1233,5 @@
 	}
 	
-	function imap_sortfrom($sort_box_reverse, $folder)
+	function imap_sortfrom($sort_box_reverse, $search_box_type)
 	{
 		$sortfrom = array();
@@ -1274,13 +1242,32 @@
 		{
 			$header = imap_headerinfo($this->mbox, $i, 80, 255);
+			// List UNSEEN messages.
+			if($search_box_type == "UNSEEN" &&  (!trim($header->Recent) && !trim($header->Unseen))){
+				continue;
+			}
+			// List SEEN messages.
+			elseif($search_box_type == "SEEN" && (trim($header->Recent) || trim($header->Unseen))){
+				continue;
+			}
+			// List ANSWERED messages.			
+			elseif($search_box_type == "ANSWERED" && !trim($header->Answered)){
+				continue;				
+			}
+			// List FLAGGED messages.			
+			elseif($search_box_type == "FLAGGED" && !trim($header->Flagged)){
+				continue;
+			}
+						
 			if (($header->from[0]->mailbox . "@" . $header->from[0]->host) == $_SESSION['phpgw_info']['expressomail']['user']['email'])				
 				$from = $header->to;
 			else
 				$from = $header->from;
-			$tmp = imap_mime_header_decode($from[0]->personal);
+			
+			$tmp = imap_mime_header_decode($from[0]->personal);			
+			
 			if ($tmp[0]->text != "")
-				$sortfrom[] = $tmp[0]->text;
+				$sortfrom[$i] = $tmp[0]->text;
 			else
-				$sortfrom[] = $from[0]->mailbox . "@" . $from[0]->host;
+				$sortfrom[$i] = $from[0]->mailbox . "@" . $from[0]->host;
 		}
 		
@@ -1288,6 +1275,6 @@
 		
 		foreach($sortfrom as $index => $header_msg)
-		{
-			$sortfrom_uid[] = imap_uid($this->mbox, $index+1);
+		{	
+			$sortfrom_uid[] = imap_uid($this->mbox, $index);
 		}
 		
@@ -1548,4 +1535,22 @@
 		return $str;
 	}
+	
+	function get_msgs($folder, $sort_box_type, $search_box_type, $sort_box_reverse){
+		
+		if(!$this->mbox)
+			$this->mbox = $this->open_mbox($folder);
+		
+		switch($sort_box_type){
+			case 'SORTFROM':
+				return $this->imap_sortfrom($sort_box_reverse, $search_box_type);				
+			case 'SORTSUBJECT':
+				return imap_sort($this->mbox, SORTSUBJECT, $sort_box_reverse, SE_UID, $search_box_type);				
+			case 'SORTSIZE':
+				return imap_sort($this->mbox, SORTSIZE, $sort_box_reverse, SE_UID, $search_box_type);				
+			default:
+				return imap_sort($this->mbox, SORTARRIVAL, $sort_box_reverse, SE_UID, $search_box_type);						
+		}		
+	}	
+	
 	function get_info_next_msg($params)
 	{
@@ -1555,24 +1560,8 @@
 		$sort_box_reverse = $params['sort_box_reverse'];
 		$reuse_border = $params['reuse_border'];
-		
-		if(!$this->mbox)
-			$this->mbox = $this->open_mbox($folder);
-		
-		switch($sort_box_type){
-			case 'SORTFROM':
-				$sort_array_msg = $this->imap_sortfrom($this->mbox , $sort_box_reverse, $folder);
-				break;
-			case 'SORTSUBJECT':
-				$sort_array_msg = imap_sort($this->mbox , SORTSUBJECT, $sort_box_reverse, SE_UID);
-				break;
-			case 'SORTARRIVAL':
-				$sort_array_msg = imap_sort($this->mbox , SORTARRIVAL, $sort_box_reverse, SE_UID);
-				break;
-			case 'SORTSIZE':
-				$sort_array_msg = imap_sort($this->mbox , SORTSIZE, $sort_box_reverse, SE_UID);
-				break;
-		}
-		
+		$search_box_type = $params['search_box_type'] != "ALL" && $params['search_box_type'] != "" ? $params['search_box_type'] : false;
+		$sort_array_msg = $this -> get_msgs($folder, $sort_box_type, $search_box_type, $sort_box_reverse);				
 		$i = 0;
+		
 		while($sort_array_msg[$i] != $msg_number)
 		{
@@ -1603,23 +1592,6 @@
 		$sort_box_reverse = $params['sort_box_reverse'];
 		$reuse_border = $params['reuse_border'];
-		
-		if(!$this->mbox)
-			$this->mbox = $this->open_mbox($folder);
-		
-		switch($sort_box_type){
-			case 'SORTFROM':
-				$sort_array_msg = $this->imap_sortfrom($this->mbox, $sort_box_reverse, $folder);
-				break;
-			case 'SORTSUBJECT':
-				$sort_array_msg = imap_sort($this->mbox, SORTSUBJECT, $sort_box_reverse, SE_UID);
-				break;
-			case 'SORTARRIVAL':
-				$sort_array_msg = imap_sort($this->mbox, SORTARRIVAL, $sort_box_reverse, SE_UID);
-				break;
-			case 'SORTSIZE':
-				$sort_array_msg = imap_sort($this->mbox, SORTSIZE, $sort_box_reverse, SE_UID);
-				break;
-		}
-		
+		$search_box_type = $params['search_box_type'] != "ALL" && $params['search_box_type'] != "" ? $params['search_box_type'] : false;
+		$sort_array_msg = $this -> get_msgs($folder, $sort_box_type, $search_box_type, $sort_box_reverse);
 		$i = 0;
 		
Index: /trunk/expressoMail1_2/js/search.js
===================================================================
--- /trunk/expressoMail1_2/js/search.js	(revision 2)
+++ /trunk/expressoMail1_2/js/search.js	(revision 53)
@@ -55,6 +55,6 @@
 											  "<span id='num_search_results'></span></td>"+
 											  "<td><input type='button' value=" + get_lang('Search') + " onclick='EsearchE.func_search()'></td>"+
-											  "<td><input type='button' value=" + get_lang('to clean') + " onclick='EsearchE.func_clean()'></td>"+
-											  "<td><input type='button' value=" + get_lang('to close') + " onclick='EsearchE.func_close(\"close\")'></td>"+
+											  "<td><input type='button' value=" + get_lang('Clean') + " onclick='EsearchE.func_clean()'></td>"+
+											  "<td><input type='button' value=" + get_lang('Close') + " onclick='EsearchE.func_close(\"close\")'></td>"+
 											  "<td><input type='button' value=" + get_lang('Hide Search') + " onclick='EsearchE.func_close(\"hidden\")'></td>"+
 											  "</tr>"+
@@ -67,11 +67,11 @@
 				table_layer.id = "table_layer";
 				table_layer.innerHTML = "<br><table border='0' cellpading='0' cellspacing='0' width='100%'>"+
-										"<tr>"+
-										"<td width='20%' style='background:#C0C0C0'><b>Pasta</b></td>"+
-										"<td width='30%' style='background:#C0C0C0'><b>Quem</b></td>"+
-										"<td width='30%' style='background:#C0C0C0'><b>Assunto</b></td>"+
-										"<td width='10%' style='background:#C0C0C0'><b>Data</b></td>"+
-										"<td width='10%' style='background:#C0C0C0' align='left'><b>Tamanho</b></td>"+
-										"</tr>"+
+                                        "<tr>"+
+                                        "<td width='20%' style='background:#C0C0C0'><b>" + get_lang('Folder') + "</b></td>"+
+                                        "<td width='30%' style='background:#C0C0C0'><b>" + get_lang('Who') + "</b></td>"+
+                                        "<td width='30%' style='background:#C0C0C0'><b>" + get_lang('Subject') + "</b></td>"+
+                                        "<td width='10%' style='background:#C0C0C0'><b>" + get_lang('Date') + "</b></td>"+
+                                        "<td width='10%' style='background:#C0C0C0' align='left'><b>" + get_lang('Size') + "</b></td>"+
+			 							"</tr>"+
 										"</table>";
 				table_layer.style.position = "absolute";
@@ -117,5 +117,5 @@
 		form_sch.innerHTML = "<table id='table_princ' border='0' cellpading='0' cellspacing='0' align='center'>"+
 						     "<tr>"+
-						     "<td colspan='2'><b>" + get_lang('It informs the search in the boxes of text') + " :</b></td>"+
+						     "<td colspan='2'><b>" + get_lang('Inform your search in the text fields') + " :</b></td>"+
 						     "<td rowspan='7'>&nbsp"+
 						     "</td>"+
@@ -123,5 +123,5 @@
 						     "<table border='0' cellpading='0' cellspacing='0'>"+
 						     "<tr>"+
-						     "<td colspan='3' valign='top'>&nbsp;<b>" + get_lang('It searches messages in these folders') + " :</b></td>"+
+						     "<td colspan='3' valign='top'>&nbsp;<b>" + get_lang('Searche the messages in these folders') + " :</b></td>"+
 						     "</tr>"+
 						     "<tr>"+
@@ -373,5 +373,5 @@
 		fields += "##";
 		if(fields == "####"){
-			alert(get_lang("Define some parameters to search!"));
+			alert(get_lang("Define some parameters!"));
 			return false;
 		}
Index: /trunk/expressoMail1_2/js/filters.js
===================================================================
--- /trunk/expressoMail1_2/js/filters.js	(revision 2)
+++ /trunk/expressoMail1_2/js/filters.js	(revision 53)
@@ -44,6 +44,6 @@
 		form_buttons.innerHTML = "<input type='button' value="+get_lang("Enable")+" onclick='filter.enabled_disabled(\"ENABLED\");'>"+
 								 "&nbsp;<input type='button' value="+get_lang("Disable")+" onclick='filter.enabled_disabled(\"DISABLED\");'>"+	
-								 "&nbsp;<input type='button' value="+get_lang("to remove")+" onclick='filter.delete_r();'>"+
- 								 "&nbsp;<input type='button' value="+get_lang("to close")+" onclick='filter.close_frm();'>";
+								 "&nbsp;<input type='button' value="+get_lang("Remove")+" onclick='filter.delete_r();'>"+
+ 								 "&nbsp;<input type='button' value="+get_lang("Close")+" onclick='filter.close_frm();'>";
 
 		form.appendChild(form_buttons);
@@ -107,10 +107,10 @@
 	cfilterSh.prototype.vl_rule = function(rule,pos){
 		var aux = rule.split("&&");
-		return " <a href='javascript:void(0)' onclick=filter.form_r('"+pos+"')><b>" + get_lang("Status") + " :</b>" + "<font color='red'>" + get_lang(aux[2]) + "</font>" + "- <b>" + get_lang("rule of the email") + ":</b> " + aux[3] + " - <b>" + get_lang("Action") + ":</b> " + aux[6] + "</a>";
+		return " <a href='javascript:void(0)' onclick=filter.form_r('"+pos+"')><b>" + get_lang("Status") + " :</b>" + "<font color='red'>" + get_lang(aux[2]) + "</font>" + "- <b>" + get_lang("E-mail rule") + ":</b> " + aux[3] + " - <b>" + get_lang("Action") + ":</b> " + aux[6] + "</a>";
 	}
 	
 	cfilterSh.prototype.vl_outOffice = function(outOffice){
 		var aux = outOffice.split("&&");
-		return " <a href='javascript:void(0)' onclick=filter.form_out()><b>" + get_lang("to answer messages of") + " :</b>" + aux[2] + "- <b>" + get_lang("Status") + " : </b>" + "<font color='red'>" + aux[4] + "</font>" + "- <b>" + get_lang("message") + ":</b> " + aux[3] + "</a>";
+		return " <a href='javascript:void(0)' onclick=filter.form_out()><b>" + get_lang("Answer messages from") + " :</b>" + aux[2] + "- <b>" + get_lang("Status") + " : </b>" + "<font color='red'>" + aux[4] + "</font>" + "- <b>" + get_lang("message") + ":</b> " + aux[3] + "</a>";
 	}
 	
@@ -159,5 +159,5 @@
 			div.style.position = "absolute";
 			div.style.zIndex = "10000";			
-			var title = ':: ' + get_lang('Management of filters') + ' - ' + get_lang('maintenance of filters') + ':: ';
+			var title = ':: ' + get_lang('Filters management') + ' - ' + get_lang('filters maintenance') + ':: ';
 			var wHeight = div.offsetHeight + "px";
 			var wWidth =  div.offsetWidth   + "px";
Index: /trunk/expressoMail1_2/js/sharemailbox.js
===================================================================
--- /trunk/expressoMail1_2/js/sharemailbox.js	(revision 2)
+++ /trunk/expressoMail1_2/js/sharemailbox.js	(revision 53)
@@ -163,5 +163,5 @@
 							'<tr><td>'+
 								'<table border=0><tbody><tr><td colspan=2>'+
-									get_lang('Right of access')+':'+
+									get_lang('Access right')+':'+
 								'</td></tr>'+
 								'<tr><td>'+get_lang('Read')+':</td><td><input id=\'em_input_readAcl\' onClick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="'+get_lang("hlp_msg_read_acl")+'." src=\'./templates/default/images/ajuda.jpg\'></td></tr>'+
Index: /trunk/expressoMail1_2/js/common_functions.js
===================================================================
--- /trunk/expressoMail1_2/js/common_functions.js	(revision 51)
+++ /trunk/expressoMail1_2/js/common_functions.js	(revision 53)
@@ -44,5 +44,5 @@
 	window.onbeforeunload = unloadMess;
 function unloadMess(){
-	var mess = get_lang("Your message has not been sent. You will discard your message.");
+	var mess = get_lang("Your message has not been sent and will be discarted.");
 	for(var i = 0; i < BordersArray.length;i++) {
 		var body = Element('body_'+BordersArray[i].sequence);
Index: /trunk/expressoMail1_2/js/main.js
===================================================================
--- /trunk/expressoMail1_2/js/main.js	(revision 51)
+++ /trunk/expressoMail1_2/js/main.js	(revision 53)
@@ -175,5 +175,5 @@
 
 		if(typeof(data) == 'string' && data.match(/^(.*)TRYCREATE(.*)$/)){
-			alert("Sua pasta Lixeira não está criada. É necessário criar para que funcione corretamente.");
+			alert(get_lang('Its Lixeira folder is not created. It is necessary to create so that it functions correctly.'));
 			return false;
 		}
@@ -205,5 +205,5 @@
 
 	if (folder == new_folder){
-		write_msg(get_lang('The folders of origin and destination are the same ones.'));
+		write_msg(get_lang('The origin folder and the destination folder are the same.'));
 		return;
 	}
@@ -762,5 +762,5 @@
 	if (msgs_to_export) {
 		cExecute ("$this.exporteml.makeAll", handler_export_all_selected_msgs, "folder="+get_current_folder()+"&msgs_to_export="+msgs_to_export);
-		write_msg(get_lang('You must wait while the messages will be export...'));
+		write_msg(get_lang('You must wait while the messages will be exported...'));
 	}
 	else
Index: /trunk/expressoMail1_2/js/wfolders.js
===================================================================
--- /trunk/expressoMail1_2/js/wfolders.js	(revision 2)
+++ /trunk/expressoMail1_2/js/wfolders.js	(revision 53)
@@ -36,7 +36,7 @@
 		}
 		if (type == 'save')
-			butt.value = 'Salvar';
+				butt.value = get_lang('Save'); 
 		else if (type == 'send_and_file')
-			butt.value = 'Enviar e Arquivar';
+                butt.value = get_lang('Send and File'); 
 		else if (type == 'move_to')
 			butt.value = get_lang('Move');
@@ -108,5 +108,5 @@
 			div.style.width = "275px";
 			div.style.height = "250px";
-			var title = 'Selecione uma pasta:';
+			var title = get_lang('Select a box:'); 
 			var wHeight = div.offsetHeight + "px";
 			var wWidth =  div.offsetWidth   + "px";
Index: /trunk/expressoMail1_2/js/filter.js
===================================================================
--- /trunk/expressoMail1_2/js/filter.js	(revision 41)
+++ /trunk/expressoMail1_2/js/filter.js	(revision 53)
@@ -228,6 +228,6 @@
 			var form   = "";
 			form  	   = "<div id='div_rule' style='display:none'><table id='table_rule' border='0' cellpading='0' cellspacing='0' width='100%'>"+
-						 "<tr><td colspan='2'><input type='checkBox' id='checkBox1' name='checkb'>"+get_lang('To also check message against next rule') + "</td></tr>"+
-						 "<tr><td colspan='2'><input type='checkBox' id='checkBox2' name='checkb'>"+get_lang('To keep a copy of the message in its Box of Entrance')+ "</td><tr>"+
+						 "<tr><td colspan='2'><input type='checkBox' id='checkBox1' name='checkb'>"+get_lang('Also check message against next rule') + "</td></tr>"+
+						 "<tr><td colspan='2'><input type='checkBox' id='checkBox2' name='checkb'>"+get_lang('Keep a copy of the message at your Inbox')+ "</td><tr>"+
 						 "<tr><td colspan='2'><hr size='1' width='100%'></td></tr><tr>"+
 						 "<td rowspan='4' width='20%'>"+get_lang('Coincident')+"<br><select id='select_rules' name='select_rules'>"+
@@ -241,14 +241,14 @@
 						 "</tr><tr><td colspan='2'><hr size='1' width='100%'></td></tr>"+
 						 "</table><table id='table_rule1' border='0' cellpading='0' cellspacing='0' width='100%'>"+
-						 "<tr><td width='50%'><input type='radio' id='radio1' name='radio' value='folder'>"+get_lang('To file')+".:</td>"+
+						 "<tr><td width='50%'><input type='radio' id='radio1' name='radio' value='folder'>"+get_lang('Store at')+".:</td>"+
 						 "<td width='50%'><select id='select_mailboxes' name='select_mailboxes'></select></td>"+
-						 "</tr><tr><td width='50%'><input type='radio' id='radio2' name='radio' value='address'>"+get_lang('It directs for the address')+".:</td>"+
+						 "</tr><tr><td width='50%'><input type='radio' id='radio2' name='radio' value='address'>"+get_lang('Forward to the address')+".:</td>"+
 						 "<td width='50%'><input type='text' id='field5' name='field5' size='35' maxlength='70'></td>"+
-						 "</tr><tr><td width='50%'><input type='radio' id='radio3' name='radio' value='reject'>"+get_lang('It sends a rejection message')+".:</td>"+
+						 "</tr><tr><td width='50%'><input type='radio' id='radio3' name='radio' value='reject'>"+get_lang('Send a rejection message')+".:</td>"+
 						 "<td width='50%'><textarea id='field6' name='field6' rows='3' cols='25'></textarea></td>"+
-						 "</tr><tr><td colspan='2'><input type='radio' id='radio4' name='radio' value='discard'>"+get_lang('It erases the message')+"</td>"+
+						 "</tr><tr><td colspan='2'><input type='radio' id='radio4' name='radio' value='discard'>"+get_lang('Erase the message')+"</td>"+
 						 "</tr></table></div><div id='div_vacation' style='display:none'>"+
 						 "<table id='table_vacation' border='0' cellpading='0' cellspacing='0' width='100%'>"+
-						 "<tr><td width='40%' valign='top'>"+get_lang('To answer messages sent')+":<select multiple id='select_1' name='select_1' size='6' style='width:250px'></select></td>"+
+						 "<tr><td width='40%' valign='top'>"+get_lang('Reply sent messages to')+":<select multiple id='select_1' name='select_1' size='6' style='width:250px'></select></td>"+
 	 					 "<td width='8%'><table border='0' cellpading='0' cellspacing='0' width='100%'>"+
 	 					 "<tr><td align='right' valign='top'><br><a href=javascript:void(0) onclick='filter.box_select(0);'><<</a> <br><br></td>"+
@@ -256,9 +256,9 @@
 	 					 "</tr></table></td><td width='52%' valign='top'>"+get_lang('Emails of the account')+":<br><select multiple id='select_2' name='select_2' size='6' style='width:250px'></select>"+
 	 					 "</td></tr><tr><td colspan='3'><hr size='1' width='100%'></td>"+
-	 					 "</tr><tr><td colspan='3'>"+get_lang('During (days are of the office)')+": <input type='text' id='select_days' size='3'> "+get_lang('day(s)')+"</td>"+
+	 					 "</tr><tr><td colspan='3'>"+get_lang('During (days off the office)')+": <input type='text' id='select_days' size='3'> "+get_lang('day(s)')+"</td>"+
 	 					 "</tr><tr><td colspan='3'><hr size='1' width='100%'></td></tr><tr><td colspan='3'>"+get_lang('With the following message')+".:</td>"+
 	 					 "</tr><tr><td colspan='3'><textarea id='field8' rows='3' cols='50'></textarea></td></tr></table></div>"+
-	 					 "<span align='right'><input type='button' value="+get_lang("to come back")+" onclick='filter.form_m()'></span>"+
-	 					 "<span align='right'><input type='button' value="+get_lang("to save")+" onclick='filter.saved_rules()'></span>";	 					 
+	 					 "<span align='right'><input type='button' value="+get_lang("to go back")+" onclick='filter.form_m()'></span>"+
+	 					 "<span align='right'><input type='button' value="+get_lang("Save")+" onclick='filter.saved_rules()'></span>";	 					 
 		return form;
 	}
@@ -316,5 +316,5 @@
 		var emailReg = /^[a-z][a-z-_0-9\.]+@[a-z-_=>0-9\.]+\.[a-z]{2,3}$/i
     	if(!emailReg.test(email)){
-			alert(get_lang("It informs a valid email!"));
+			alert(get_lang("Inform a valid e-mail!"));
 			return false;
 		}
@@ -404,10 +404,10 @@
 			if(LTrim(Element("field1").value) == "" && LTrim(Element("field2").value) == "" && LTrim(Element("field3").value) == "" && Element("field4").value == "")
 			{
-				alert(get_lang("It defines criteria for the fields From, To and Subject with more than 3 characters!"));
+				alert(get_lang("Define some criterion to the fields From, To and Subject with more than 3 characters!"));
 				return false;
 			}
 
 			if((LTrim(Element("field1").value).length <= 3) && (LTrim(Element("field2").value).length <= 3) && (LTrim(Element("field3").value).length <= 3 && Element("field4").value == "")){
-				alert(get_lang("It defines criteria for the fields From, To and Subject with more than 3 characters!"));
+				alert(get_lang("Define some criterion to the fields From, To and Subject with more than 3 characters!"));
 				return false;
 			}
@@ -424,5 +424,5 @@
 				mount_rule += "address&&";
 				if(Element("field5").value == ""){
-					alert(get_lang("It informs a guiding email!"));
+					alert(get_lang("Inform a forwarding e-mail!"));
 					return false;
 				}else{
@@ -431,5 +431,5 @@
 						mount_rule += Element("field5").value + "&&";
 					}else{
-						alert(get_lang("It informs a valid email!"));
+						alert(get_lang("Inform a valid e-mail!"));
 						return false;
 					}
@@ -440,5 +440,5 @@
 				mount_rule += "reject&&";
 				if(Element("field6").value == ""){
-					alert(get_lang("It informs a text for rejection!"));
+					alert(get_lang("Inform a text for rejection!"));
 					return false;
 				}else{
@@ -452,5 +452,5 @@
 			}
 			if(!v_checked){
-				alert(get_lang("No option was not marked!"));
+				alert(get_lang("No option marked!"));
 				return false;
 			}
@@ -481,9 +481,9 @@
 					mount_rule += fld_days.value + "&&";
 				}else{
-					alert(get_lang("It informs between 1 and 31!"));
+					alert(get_lang("Inform between 1 and 31!"));
 					return false;
 				}
 			}else{
-				alert(get_lang("It informs the days!"));
+				alert(get_lang("Inform the days!"));
 				return false;
 			}
@@ -496,9 +496,9 @@
 				mount_rule += fld_men.value + "&&on ";
 			}else{
-				alert(get_lang("It informs email(s) for guiding!"));
+				alert(get_lang("Inform the forwarding e-mail(s)!"));
 				return false;
 			}
 			if(LTrim(fld_men.value) == ""){
-				alert(get_lang("It informs a message!"));
+				alert(get_lang("Inform a message!"));
 				return false;
 			}
Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 51)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 53)
@@ -38,5 +38,5 @@
 		tree_folders = new dFTree({name: 'tree_folders'});
 
-		var n_root = new dNode({id:'root', caption:'Minhas Pastas'});
+		var n_root = new dNode({id:'root', caption: get_lang("My Folders")});
 		tree_folders.add(n_root,'anything'); //Places the root; second argument can be anything.
 	
@@ -51,5 +51,5 @@
 			else if (folders[i].folder_parent == 'user'){
 				if (!tree_folders.getNodeById('user')){
-					var n_root_shared_folders = new dNode({id:'user', caption:'Pastas compartilhadas', plusSign:true}); 
+					var n_root_shared_folders = new dNode({id:'user', caption:get_lang("Shared folders"), plusSign:true}); 
 					tree_folders.add(n_root_shared_folders,'root');
 				}
@@ -83,5 +83,5 @@
 	}
 	if(folder_create != ""){
-		if(confirm("Existem pastas com formato inválido.Deseja corrigi-las?")){
+		if(confirm(get_lang("There are folders with invalid format. Do you want to fix them?"))){
 			var handler_correct_folders = function(data){
 				//Timeout to release HTTPRequest , loadScript and update tree folders.
@@ -815,5 +815,5 @@
 	var option_reply_without_history		= '<span class="message_options" onclick=new_message("reply_without_history","'+ID+'");>'+get_lang("Reply without history")+'</span> | ';
 	var option_reply_to_all_without_history	= '<span class="message_options" onclick=new_message("reply_to_all_without_history","'+ID+'");>'+get_lang("Reply to all without history")+'</span> | ';
-	var option_source_msg					= '<span class="message_options" onclick=source_msg("'+ID+'","'+url_encode(info_msg.msg_folder)+'");>'+get_lang("Font Message")+'</span>';	
+	var option_source_msg					= '<span class="message_options" onclick=source_msg("'+ID+'","'+url_encode(info_msg.msg_folder)+'");>'+get_lang("Message Font")+'</span>';	
 
 	div_other_options.innerHTML = option_mark_as + option_mark_as_unseen + option_mark_as_important + option_mark_as_normal + option_move + option_reply_to_all + option_reply_without_history + option_reply_to_all_without_history + option_source_msg;
@@ -1189,5 +1189,5 @@
 	if ((preferences.save_in_folder == '-1') || (preferences.save_in_folder == '')){
 		var option_send			= '<span class="message_options" onclick=send_message("'+ID+'","null","null");>'+get_lang("Send")+'</span> | ';
-		var option_send_and_file= '<span class="message_options" onclick=wfolders.makeWindow("'+ID+'","send_and_file");>'+get_lang("Send and File")+'</span> | ';
+		var option_send_and_file= '<span class="message_options" onclick=wfolders.makeWindow("'+ID+'","send_and_file");>'+get_lang("Send and Store")+'</span> | ';
 	}
 	else{
@@ -1292,5 +1292,5 @@
 	var img_search = document.createElement("IMG");
 	img_search.src = "./templates/default/images/search.gif";
-	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key for shortcut.');
+	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');
 	img_search.onclick = function () {emQuickSearch(document.getElementById('to_'+ID).value, 'to', ID);};
 	var span_search = document.createElement("SPAN");
@@ -1375,5 +1375,5 @@
 	img_search.src = "./templates/default/images/search.gif";
 	img_search.onclick = function () {emQuickSearch(document.getElementById('cc_'+ID).value, 'cc', ID)}
-	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key for shortcut.');
+	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');
 	var span_search = document.createElement("SPAN");
 	span_search.innerHTML = get_lang('Search');
@@ -1455,5 +1455,5 @@
 	var img_search = document.createElement("IMG");
 	img_search.src = "./templates/default/images/search.gif";
-	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key for shortcut.');	
+	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');	
 	img_search.onclick = function () {emQuickSearch(document.getElementById('cco_'+ID).value, 'cco', ID);};
 	var span_search = document.createElement("SPAN");
@@ -1835,5 +1835,5 @@
 	if(value > 90) {
 		if(value >= 100)
-			write_msg(get_lang("Your Mailbox is 100% full! You must to free more space or will not receive messages."));
+			write_msg(get_lang("Your Mailbox is 100% full! You must free more space or will not receive messages."));
 		else
 			write_msg(get_lang("Warning: Your Mailbox is almost full!"));
Index: /trunk/expressoMail1_2/js/QuickCatalogSearch.js
===================================================================
--- /trunk/expressoMail1_2/js/QuickCatalogSearch.js	(revision 2)
+++ /trunk/expressoMail1_2/js/QuickCatalogSearch.js	(revision 53)
@@ -239,5 +239,5 @@
 					   '<br><br><br>'+
 					   '<table border="0" cellpading="0" cellspacing="0">'+
-					   '<tr><td>'+get_lang("Select the type of contact that it desires to visualize")+'&nbsp;:</td></tr>'+
+					   '<tr><td>'+get_lang("Select the type of contact that you want to view")+'&nbsp;:</td></tr>'+
 					   '<tr><td><input onclick="javascript:QuickCatalogSearch.changeOptions(this.value)" id="type" type="radio" name="type" value="p"/>Pessoas&nbsp;&nbsp;<input type="radio" name="type" value="g" onclick="javascript:QuickCatalogSearch.changeOptions(this.value)"/>Grupos&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'+
 					   '<tr><td>'+
Index: /trunk/expressoMail1_2/js/rich_text_editor.js
===================================================================
--- /trunk/expressoMail1_2/js/rich_text_editor.js	(revision 2)
+++ /trunk/expressoMail1_2/js/rich_text_editor.js	(revision 53)
@@ -208,5 +208,5 @@
 	if (is_ie){
 		if ((mainField.document.selection.createRange().text) == ''){
-			alert('Primeiro, selecione o texto que deseja transformar em link.');
+				alert(get_lang('Chose the text you want transform in link before.')); 
 			return;
 		}
@@ -214,9 +214,9 @@
 	else{
 		if (mainField.window.getSelection() == ''){
-			alert('Primeiro, selecione o texto que deseja transformar em link.');
+				alert(get_lang('Chose the text you want transform in link before.')); 
 			return;
 		}
 	}
-	var szURL = prompt("Entre com a URL do link:", "http://");
+		var szURL = prompt(get_lang('Enter with link URL:", "http://"')); 
 	if ((szURL != null) && (szURL != "")){
 		this.editorCommand("CreateLink", szURL);
Index: /trunk/expressoMail1_2/js/TreeShow.js
===================================================================
--- /trunk/expressoMail1_2/js/TreeShow.js	(revision 51)
+++ /trunk/expressoMail1_2/js/TreeShow.js	(revision 53)
@@ -227,5 +227,5 @@
 		}
 		cExecute("$this.exporteml.export_all",hand_export,"folder="+ttree.FOLDER);	
-		write_msg(get_lang('You must wait while the messages will be export...'));			
+		write_msg(get_lang('You must wait while the messages will be exported...'));			
 	}
 	
Index: /trunk/expressoMail1_2/js/preferences.js
===================================================================
--- /trunk/expressoMail1_2/js/preferences.js	(revision 2)
+++ /trunk/expressoMail1_2/js/preferences.js	(revision 53)
@@ -24,5 +24,5 @@
 			form.innerHTML = 	"<table border='0' cellpading='0' cellspacing='0'>"+
 				"<tr><td colspan='2'><center>" + get_lang('Config for expressoMail1_2') + "</center></td></tr>"+
-				"<tr><td nowrap> - " + get_lang('Max number of e-mails for page') + "</td>"+
+				"<tr><td nowrap> - " + get_lang('Max number of e-mails per page') + "</td>"+
 				"<td>&nbsp;<select id='sel_num_max' name='sel_num_max'>"+
 				"<option value='25'>25</option>"+
@@ -35,7 +35,7 @@
 				"<td><input type='checkBox' id='check_save_men' name='check_save_men'></td>"+
 				"</tr>"+
-				"<tr><td nowrap> - " + get_lang('Delete trash messages after n days?') + "</td>"+
+				"<tr><td nowrap> - " + get_lang('Delete trash messages after how many days?') + "</td>"+
 				"<td>&nbsp;<select id='sel_del_men' name='sel_del_men'>"+
-				"<option value='0'>N&atilde;o usar</option>"+
+				"<option value='0'>" + get_lang('Not use') + "</option>"+
 				"<option value='1'>1 dia</option>"+
 				"<option value='2'>2 dias</option>"+														
@@ -48,11 +48,11 @@
 				"<td><input type='checkBox' id='check_show_previous' name='check_show_previous'></td>"+
 				"</tr>"+
-				"<tr><td nowrap> - " + get_lang('Do you wanna receive an alert for new messages?') + "</td>"+
+				"<tr><td nowrap> - " + get_lang('Do you want receive an alert for new messages?') + "</td>"+
 				"<td><input type='checkBox' id='check_alert' name='check_alert'></td>"+
 				"</tr>"+
-				"<tr><td nowrap> - " + get_lang('Show default view on main screen') + "</td>"+
+				"<tr><td nowrap> - " + get_lang('Show ExpressoMail summary at main screen?') + "</td>"+
 				"<td><input type='checkBox' id='check_view' name='check_view'></td>"+
 				"</tr>"+
-				"<tr><td nowrap> - " + get_lang('save sent messages in folder named below') + "</td>"+				
+				"<tr><td nowrap> - " + get_lang('Auto-save sent messages in folder:') + "</td>"+				
 				"<td>&nbsp;<select style='width:125px' id='sel_name_box' name='sel_name_box'></select></td>"+
 				"</tr>"+
@@ -83,5 +83,5 @@
 			form_pref.appendChild(form);
 			var sel_nm = Element("sel_name_box");
-			var opt = new Option(get_lang("The user select"),"-1",true,true);
+			var opt = new Option(get_lang("Select the user"),"-1",true,true);
 			sel_nm.options[sel_nm.length] = opt;
 			for(var i=0; i < folders.length; i++){
